/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {StatInfoResponse} from "./statInfoResponse";
import {ZoneSubcontractorWorkerResponse} from "src/classLibrary/APIModels/analytics/zoneSubcontractorWorkerResponse";
import {
    IZoneSubDatabase,
    SegmentAggregateCountAnalytics,
    SubDict,
    ZoneDict
} from "src/classLibrary/APIModels/analytics/CommonAnalyticModels";

export class HourlyZoneSubcontractorWorkerResponse implements IZoneSubDatabase, SegmentAggregateCountAnalytics {
    public info: StatInfoResponse;

    public data: { [s: string]: ZoneSubcontractorWorkerResponse };

    public zones: ZoneDict;

    public subcontractors: SubDict;

    /**
     * Creates a HourlyZoneSubcontractorWorkerResponse.
     *
     * @param {StatInfoResponse} info
     * @param {object} data
     * @param {object} zones
     * @param {object} subcontractors
     */
    constructor(info: StatInfoResponse,
                data: { [s: string]: ZoneSubcontractorWorkerResponse },
                zones: ZoneDict,
                subcontractors: SubDict) {
        this.info = info;
        this.data = data;
        this.zones = zones;
        this.subcontractors = subcontractors;
    }
}
